org.apache.pdfbox.pdmodel.graphics.shading

## Class AxialShadingPaint

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.shading.ShadingPaint<PDShadingType2>
  - - org.apache.pdfbox.pdmodel.graphics.shading.AxialShadingPaint

All Implemented Interfaces:
  Paint, Transparency

    public class AxialShadingPaint
    extends ShadingPaint<PDShadingType2>

AWT Paint for axial shading.

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.graphics.shading.ShadingPaint

`matrix, shading`

### Fields inherited from interface java.awt.Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

### Method Summary

All Methods Instance Methods Concrete Methods
`PaintContext` `createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform xform, RenderingHints hints)`
`int` `getTransparency()`

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.shading.ShadingPaint

`getMatrix, getShading`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTransparency

    public int getTransparency()

#### createContext

    public PaintContext createContext(ColorModel cm,
                                      Rectangle deviceBounds,
                                      Rectangle2D userBounds,
                                      AffineTransform xform,
                                      RenderingHints hints)